{$IF DEFINED(WINDOWS)}
unit w32;


interface

uses windows;

var
	MSWINGUI_FontName: String = 'Terminal';
	MSWINGUI_FontWeight: Integer = 0;
	MSWINGUI_FontSize: Integer = 15;

{$IF DEFINED(SDLMODE) or DEFINED(ASCII_SDL)}
Function GetSDLHWND: Windows.HWND;
{$ENDIF}

implementation

{$IFDEF DEBUG}
	{ Don't include errmsg. It cause a infinite depending loop. }
	{errmsg,}
{$ENDIF DEBUG}
{$IF DEFINED(SDLMODE) or DEFINED(ASCII_SDL)}
uses SDL;
{$ENDIF}

{$IF DEFINED(SDLMODE) or DEFINED(ASCII_SDL)}
Function GetSDLHWND: Windows.HWND;
var
	wmi: TSDL_SysWMinfo;
begin
	wmi.window := 0;		{ Fallback data. Don't forget it! }
	SDL_VERSION( wmi.version );
	SDL_GetWMInfo( @wmi );
	GetSDLHWND := wmi.window;
end;
{$ENDIF}



initialization
begin
{$IFDEF DEBUG}
	{ErrorMessage_fork('DEBUG: w32.pp');}
{$ENDIF DEBUG}
end;

finalization
begin
{$IFDEF DEBUG}
	{ErrorMessage_fork('DEBUG: w32.pp(finalization)');}
{$ENDIF DEBUG}
end;

end.
{$ENDIF}
